# Channel management

## Managing user permissions in channels

The FLAGS command allows for the granting/removal of channel privileges on a more specific,
on-generalized level. It supports nicknames and hostmasks as targets.

When only the channel argument is given, a listing of permissions granted to users will be displayed.

```
FLAGS #<channel>
```

Otherwise, an access entry is modified. A modification may be specified by a template name (changes
the access to the template) or a flags change (starts with + or -). See the TEMPLATE help entry for
more information about templates.

If you are not a founder, you may only manipulate flags you have yourself, and may not edit users that
have flags you don't have. For this purpose, +v grants the ability to grant `+V`, `+o` grants the ability
to grant `+O`, and `+r` grants the ability to grant `+b`.

As of Atheme 7.0, there are now extended entity targets which allow you to match chanacs against a situation
instead of against a nickname or hostmask.

Available exttargets are:
* `$chanacs:#channel` - Any user with channel access in the given channel (including hostmasks).
 
If you do not have `+f` you may still remove your own access with `-*`.

### Syntax and available params

Syntax: FLAGS <#channel> [nickname|hostmask] [template|flag_changes]

Permissions:

* `+v` - Enables use of the voice/devoice commands.
* `+V` - Enables automatic voice.
* `+o` - Enables use of the op/deop commands.
* `+O` - Enables automatic op.
* `+s` - Enables use of the set command.
* `+i` - Enables use of the invite and getkey commands.
* `+r` - Enables use of the unban command.
* `+R` - Enables use of the recover, sync and clear commands.
* `+f` - Enables modification of channel access lists.
* `+t` - Enables use of the topic and topicappend commands.
* `+A` - Enables viewing of channel access lists.
* `+S` - Marks the user as a successor.
* `+F` - Grants full founder access.
* `+b` - Enables automatic kickban.
* `+e` - Exempts from +b and enables unbanning self.

The special permission `+*` adds all permissions except +b, +S, and +F. The special permission `-*` removes
all permissions including +b and +F.

### Examples

```
/msg ChanServ FLAGS #foo
/msg ChanServ FLAGS #foo foo!*@bar.com VOP
/msg ChanServ FLAGS #foo foo!*@bar.com -V+oO
/msg ChanServ FLAGS #foo foo!*@bar.com -*
/msg ChanServ FLAGS #foo foo +oOtsi
/msg ChanServ FLAGS #foo TroubleUser!*@*.troubleisp.net +b
```